FROM node:alpine

# Install ssh client and git
RUN apk add --no-cache openssh-client git

RUN yarn global add semantic-release@18

RUN yarn global add @semantic-release/git @semantic-release/changelog

# Download public key for github.com
RUN mkdir -p -m 0700 ~/.ssh && ssh-keyscan github.com >> ~/.ssh/known_hosts

COPY . .

RUN --mount=type=ssh,id=default semantic-release
